/*
 *  stringUtils.h
 *  StringUtils
 *
 *  Created by Robert Delaney on 1/7/11.
 *  Copyright 2011 Bob Delaney's Science Software. All rights reserved.
 *
 */


long CountFields(const char *theString, const char *sep);
char* NthField(const char *theString, const char *sep, long fieldNum);
bool VerifyNumString(const char *numString);
bool VerifyNumDPString(const char *numString);
bool VerifyNumExpString(const char *numString);
bool VerifyNumExpString2(char*& mantissa, char*& exponent, const char *numString);
bool VerifyNumFracString(const char *numString);
bool VerifyNumFracString2(char*& num, char*& den, const char *numString);
bool VerifyNumComplexFracString(const char *numString);
bool VerifyNumComplexFracString2(char*& re, char*& im, const char *numString);
char* cstring2Hex(const char* inputStr);
